Handle OAuth Callback
curl --request GET \
--url https://api.veryfront.com/oauth/callback/{integration} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/oauth/callback/{integration}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/oauth/callback/{integration}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}Handles the OAuth provider callback.
GET
/
oauth
/
callback
/
{integration}
Handle OAuth Callback
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Integration identifier returned from the provider callback path.
Query Parameters
Authorization code returned by the OAuth provider.
Opaque OAuth state token created by the connect endpoint.
Provider error code when the OAuth consent flow fails.
Human-readable provider error description.
Response
Redirect to dashboard
⌘I